﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BankDataModels;
using BankDataModels.ProxyModels;

namespace BankContracts.BindingModels
{
    public class PurchaseBindingModel : IPurchaseModel
    {
        public int ClientId { get; set; }
        public DateOnly DatePurchase { get; set; }
        public Dictionary<int, OperationByPurchaseModel> OperationsModel { get; set; } = new();
        public List<CostByPurchaseModel> CostsModel { get; set; } = new();

        public int Id { get; set; }
    }
}
